<?php
include "ver_sessao.php";
include "conecta.php";


function exclui_imposto(){
	
	remover('imposto',$_POST[id]);
	index();
	exit;
	
}

function modifica_imposto(){
	
	global $a_mod;
	$a_mod = carregar('imposto',$_POST[id]);
	layout_imposto();
	
}

function cadastra_imposto(){
	
	$campos = array(impo_tx_nome,impo_tx_codigo,impo_tx_tipo,impo_tx_status);
	$valores= array($_POST[nome],$_POST[codigo],$_POST[tipo],ativo);
	
	if( !$_POST[id] )
		inserir('imposto',$campos,$valores);
	else
		atualizar('imposto',$campos,$valores,$_POST[id]);
		
	index();
	exit;
	
}


function layout_imposto(){
	
	global $a_mod;
	cabecalho('Cadastro de Impostos',2);
	
	//CAMPOS
	$nome = cactux::campo('Descrição:','nome',htmlentities($a_mod[impo_tx_nome]),4);
	$codigo = cactux::campo('Código:','codigo',$a_mod[impo_tx_codigo],3);
	$tipo = cactux::campo('Tipo:','tipo',$a_mod[impo_tx_tipo],3);
	
	//BOTOES
	// $gravar = cactux::botao_submit('Gravar',2,'cadastra_imposto','id',$_POST[id]);
	$voltar = cactux::botao('Voltar',2,'voltar');
	$status = cactux::msg_status();
	//-----------

	cactux::abre_form();
	cactux::abre_fieldset('Informações das Impostos');
	cactux::linha_fieldset($nome,$codigo,$tipo);
	cactux::linha_fieldset($voltar,$gravar,$status);
	cactux::fecha_fieldset();
	cactux::fecha_form();
	
	cactux::acao_botao('voltar','index');
	rodape();
	
}




function layout_imprimir(){
	
	cabecaRelatorio('Cadastro de Impostos',2);

	if($_POST[busca_cod]!='')
		$extra .= " AND impo_nb_id = '$_POST[busca_cod]'";
	if($_POST[busca_imposto]!='')
		$extra .= " AND impo_tx_nome LIKE '%$_POST[busca_imposto]%'";
	

	
	$sql = selecionar('imposto','impo_tx_status',"!inativo"," $extra ORDER BY impo_tx_nome");
	
	$cabecalho[] = array('COD','NOME','TIPO','','');
	$cabecalho[] = 'c,e,e';
	$cabecalho[] = '6%,,10%,2%,2%';
	
	while( $a = carrega_array($sql)){
		
		$valores[] = array($a[impo_nb_id],$a[impo_tx_nome],$a[impo_tx_tipo]);
		
	}
	
	grid::gerar($cabecalho,$valores);
	
	rodape();
	
}

function bloquear_imposto(){

	$a = carregar('imposto',$_POST[id]);
	
	if($a[impo_tx_status]=='Bloqueado'){
		atualizar('imposto','impo_tx_status','',$_POST[id]);
		set_status("Imposto Desbloqueado!");
	}
	else{
		atualizar('imposto','impo_tx_status','Bloqueado',$_POST[id]);
		set_status("Imposto Bloqueado!");
	}

	index();
	exit;
}


function index(){
	

	if($_POST[busca_cod]!='')
		$extra .= " AND impo_nb_id = '$_POST[busca_cod]'";
	if($_POST[busca_imposto]!='')
		$extra .= " AND impo_tx_nome LIKE '%$_POST[busca_imposto]%'";
	if($_POST[busca_codigo]!='')
		$extra .= " AND impo_tx_codigo = '$_POST[busca_codigo]'";
	if($_POST[busca_tipo]!='')
		$extra .= " AND impo_tx_tipo LIKE '%$_POST[busca_tipo]%'";

	
	$sql = selecionar('imposto','impo_tx_status',"!inativo"," $extra ORDER BY impo_tx_nome",1);
	$BUSCA = grid::gerar_paginacao($sql);

	cabecalho('Cadastro de Impostos',2);
	
	//CAMPOS
	$cod = cactux::campo('Cód:','busca_cod',$_POST[busca_cod],2);
	$tipo = cactux::campo('Tipo:','busca_tipo',$_POST[busca_tipo],2);
	$codigo = cactux::campo('Código:','busca_codigo',$_POST[busca_codigo],2);
	$nome = cactux::campo('Nome:','busca_imposto',$_POST[busca_imposto],4);
	//------------
	
	//BOTOES
	$buscar = cactux::botao_submit_busca('Buscar',2,'index');
	$inserir = cactux::botao('Inserir',2,'inserir');
//	$imprimir = cactux::botao('Imprimir',2,'imprimir');
	
	//-----------
	
	cactux::abre_form();
	cactux::abre_fieldset('Filtro de Busca');
	cactux::linha_fieldset($cod,$tipo,$codigo,$nome);
	cactux::linha_fieldset($buscar,$inserir,$imprimir);
	cactux::fecha_fieldset();
	cactux::fecha_form();
	
	cactux::acao_botao('inserir','layout_imposto');
	cactux::acao_botao('imprimir','layout_imprimir','','','','',' target=_blank');
	
	$cabecalho[] = array('COD','TIPO','CÓDIGO','NOME','');
	$cabecalho[] = 'c,c,c,e,c,c,c';
	$cabecalho[] = '6%,15%,15%,,2%,2%,2%';
	
	while( $a = carrega_array($BUSCA[0]) ){

		// if($a[impo_tx_status]!='Bloqueado')
		// 	$bloquear=".icone_modificar($a[0],'bloquear_imposto','','','','','','cactus/imagens/cadeado2.png')";
		// else
		// 	$bloquear=".icone_modificar($a[0],'bloquear_imposto','','','','','','cactus/imagens/cadeado3.png')";
		
		// ".icone_excluir($a[0],exclui_imposto)"

		$valores[] = array($a[impo_nb_id],$a[impo_tx_tipo],$a[impo_tx_codigo],$a[impo_tx_nome],".icone_modificar($a[0],modifica_imposto)");
		
	}
	
	grid::gerar($cabecalho,$valores);
	grid::paginar($BUSCA);
	
	rodape();
	
}

controle();
?>